%def_disable static

# Unpackaged files in buildroot should terminate build
%define _unpackaged_files_terminate_build 1

Name: libtap
Version: 1.01
Release: alt2.svn1186

Summary: Library implementing the Test Anything Protocol
Summary(ru_RU.CP1251): ,    

License: BSD
Group: System/Libraries
Url: http://jc.ngo.org.uk/trac-bin/trac.cgi/wiki/LibTap
Packager: Slava Semushin <php-coder@altlinux.ru>

# svn checkout svn://jc.ngo.org.uk/nik/libtap/trunk libtap
Source: %name-%version.tar.bz2
Patch: %name-1.01-alt-warnings-fix.patch

BuildRequires: perl-devel

%description
libtap is a C library that provides simple functions to assist in
writing unit tests that conform to the Test Anything Protocol (TAP).

%description -l ru_RU.CP1251
libtap  ,    ,  
 ,    -, 
   .

%package devel
Summary: Header and man page for %name
Summary(ru_RU.CP1251):       %name
Group: Development/C
Requires: %name = %version-%release

%description devel
libtap is a C library that provides simple functions to assist in
writing unit tests that conform to the Test Anything Protocol (TAP).

This package contains header and man page for building software that
uses %name.

%description devel -l ru_RU.CP1251
libtap  ,    ,  
 ,    -, 
   .

        
 ,   %name.

%if_enabled static
%package devel-static
Summary: Static version of %name
Summary(ru_RU.CP1251):    %name
Group: Development/C
Requires: %name-devel = %version-%release

%description devel-static
libtap is a C library that provides simple functions to assist in
writing unit tests that conform to the Test Anything Protocol (TAP).

This package contains static version of %name.

%description devel-static -l ru_RU.CP1251
libtap  ,    ,  
 ,    -, 
   .

      %name.
%endif # static

%prep
%setup
%patch
%autoreconf

%build
%configure %{subst_enable static}
%make_build --silent --no-print-directory CFLAGS="%optflags -Werror -U_FORTIFY_SOURCE"
%make_build check --silent --no-print-directory

%install
%make_install --silent --no-print-directory DESTDIR=%buildroot install

%files
%doc LICENSE README
%_libdir/%name.so.*

%files devel
%_libdir/%name.so
%_includedir/tap.h
%_man3dir/tap.3.*

%if_enabled static
%files -n %name-devel-static
%_libdir/%name.a
%endif

%changelog
* Sun Nov 23 2008 Slava Semushin <php-coder@altlinux.ru> 1.01-alt2.svn1186
- Imported into git and built with gear
- Replaced %%__autoreconf macros to %%autoreconf (noted by repocop)
- Removed obsolete %%post_ldconfig/%%postun_ldconfig calls (noted by repocop)

* Sun Nov 26 2006 Slava Semushin <php-coder@altlinux.ru> 1.01-alt1.svn1186
- Fixed build by using -U_FORTIFY_SOURCE
- Spec cleanup:
  + Use builtin %%patch instead of external command
  + s/%%setup -q/%%setup/

* Mon Oct 09 2006 Slava Semushin <php-coder@altlinux.ru> 1.01-alt0.svn1186
- Initial build for ALT Linux Sisyphus
- Using -Werror flag for compiler by default
- Picked up %%summary from FreeBSD and %%description from Debian

